## rootsh 1.3

=== debian/changelog ===
rootsh (1.3) unstable; urgency=low

  * Now enables sudo gainroot functionality.
  * Description updated.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 14 Jul 2008 07:06:57 +0100

rootsh (1.2) unstable; urgency=low

  * Description updated.

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 13 Jul 2008 17:11:05 +0100

rootsh (1.1) unstable; urgency=low

  * PATH environment variable set also when shell launched (Tomi Ollila <too@iki.fi>)
  * Uploaded to extras

 -- Faheem Pervez <trippin1@gmail.com>  Sat, 12 Jul 2008 04:50:25 -0400

rootsh (1.0) unstable; urgency=low

  * Initial version
 
 -- Tomi Ollila <too@iki.fi>  Sun, 02 Dec 2007 11:41:32 +0200
