=== debian/control ===
Source: rootsh
Section: user/accessories
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Uploaders: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rootsh
Architecture: any
Replaces: becomeroot, easyroot
Provides: becomeroot, rootsh, easyroot
Conflicts: becomeroot, easyroot
Description: Enable root access.
 sudo gainroot will work like normal without having to enable rd-mode after installing this.
 Issuing "root" will give you a root enviroment.
 rootsh <command> is intended to be a quick way to run a single command.
 Rootsh by Tomi Ollila. sudo gainroot and "root" taken from Andrey Gubarev's easyroot.
