## rootsh 1.4

=== debian/changelog ===
rootsh (1.4) unstable; urgency=low

  * Section changed from user/accessories to user/tools.
  * Added conflict with GodMode package.
  * Removed feature of rootsh command to spawn a shell. The user can still spawn a root shell by typing root.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 10 Oct 2008 16:14:47 +0100
