## rootsh 1.5

=== debian/changelog ===
rootsh (1.5) unstable; urgency=low

  * Change section to user/system (thanks X-Fade!).
  * Update description. (My English is better now; growing up - what can I say?)
  * Check to see gainroot.old exists before moving back.

 -- Faheem Pervez <trippin1@gmail.com>  Fri,  4 Sep 2009 15:24:22 +0100
