=== debian/control ===
Source: rootsh
Section: user/system
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Original-Maintainer: Tomi Ollila <too@iki.fi>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rootsh
Architecture: any
Replaces: becomeroot, easyroot, GodMode
Provides: becomeroot, easyroot, GodMode
Conflicts: becomeroot, easyroot, GodMode
Description: Enable root access, via the "sudo gainroot" command
 "sudo gainroot" will work without requiring you to enable R&D mode;
 and "rootsh <command>" is intended to be a quick way to run a single command.
