## rootsh 1.6

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 builddir:
 	mkdir builddir
 
-builddir/launchsh: builddir launchsh.c root
-	cp root builddir && sh launchsh.c && mv launchsh builddir
+builddir/launchsh: builddir launchsh root
+	cp root builddir && cp launchsh builddir
 
 chkprefix: ALWAYS
 	@[ x"$(PREFIX)" != x ] \
@@ -38,7 +38,6 @@
 	mkdir -p $(DESTDIR)/usr/bin
 	cp builddir/launchsh $(DESTDIR)/usr/bin/rootsh
 	cp builddir/root $(DESTDIR)/usr/bin/root
-	chmod 4755 $(DESTDIR)/usr/bin/rootsh # postinst does this too
 
 Makefile:
 	ln -s $(MKFILE) Makefile	
@@ -90,7 +89,6 @@
 	cut -d: -f3- > builddir/debian/postinst <<- EOF
 	:  :#!/bin/sh -e
 	:  :
-	:  :chmod 4755 $(DESTDIR)/usr/bin/rootsh
 	:  :exit 0
 	EOF
 	cut -d: -f3- > builddir/debian/rules <<- 'EOF'
@@ -135,7 +133,6 @@
 	:  :binary: binary-indep binary-arch
 	:  :.PHONY: build clean binary-indep binary-arch binary install 
 	EOF
-	chmod 755 builddir/debian/rules
 
 dist:	clean
 	export VER=$(VER) ;\
