=== debian/changelog ===
rootsh (1.6) unstable; urgency=low

  * Fix uninstall issue as reported by both X-Fade and robbie.
  * Set HISTSIZE to workaround MB#5896 (thanks lma!).
  * Get postinst script to escape the '$' in "$1".
  * Depreciate "rootsh". As mikkov pointed out, it is too much of a security risk.

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  1 Nov 2009 11:19:34 +0000
