=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Architecture: any
 Replaces: becomeroot, easyroot, GodMode
 Provides: becomeroot, easyroot, GodMode
-Conflicts: becomeroot, easyroot, GodMode
+Conflicts: rootsh (<= 1.5), becomeroot, easyroot, GodMode
 Description: Enable root access, via the "sudo gainroot" command
- "sudo gainroot" will work without requiring you to enable R&D mode;
- and "rootsh <command>" is intended to be a quick way to run a single command.
+ "sudo gainroot" will work without requiring you to enable R&D mode.
