## rootsh 1.7

=== debian/changelog ===
rootsh (1.7) unstable; urgency=low

  * Make launchsh script show HildonBanner
  * Fix quoting errors in postinst
  * Use "deprecated". Thanks timeless.

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  1 Nov 2009 16:39:28 +0000
