=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp 
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	$(MAKE) maemo-install DESTDIR=`pwd`/debian/rootsh

binary-irch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-irch
.PHONY: build clean binary-indep binary-irch binary install
