## rootsh 1.8

=== Makefile ===
--- 
+++ 
@@ -157,5 +157,4 @@
 	rm builddir/* || true
 
 clean distclean:
-	[ ! -h debian ] || rm debian
-	rm -rf builddir build-stamp debian config.guess config.sub Makefile
+	rm -rf builddir build-stamp config.guess config.sub
