=== debian/changelog ===
rootsh (1.8) unstable; urgency=low

  * Solve goddamn escaping errors in postinst, again!

 -- Faheem Pervez <trippin1@gmail.com>  Tue,  3 Nov 2009 15:11:05 +0000
