=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Standards-Version: 3.6.1
 
 Package: rootsh
-Architecture: any
+Architecture: all
 Replaces: becomeroot, easyroot, GodMode
 Provides: becomeroot, easyroot, GodMode
 Conflicts: rootsh (<= 1.5), becomeroot, easyroot, GodMode
+Depends: sudo
 Description: Enable root access, via the "sudo gainroot" command
  "sudo gainroot" will work without requiring you to enable R&D mode.
